== Changelog Archive ==

This is to keep track of all changes the plugin undertakes. The readme.txt should only contain the most recent 3.

= 1.4.9 =

Release Date: April 15, 2025

* Overview
	* Updated the "Tested up to" value to support 6.7+
	* Fixes the [recaptcha] tag generator (previously broken).

* Code Changes
	* Changes the iqfix_wpcf7_add_tag_generator_recaptcha() WPCF7_TagGenerator callback to better support WPCF7_TagGenerator v2.
		* Now the version => 2 makes sense!
	* This redevelops the tag generator HTML with better attributes such as `data-tag-part` and `data-tag-option`
		* Doing so has now fixed the previously broken tag generation screen.

= 1.4.8 =

Release Date: November 13, 2024

* Overview
	* Updated the "Tested up to" value to support 6.7+
	* Updates TagGenerator usage to v2 per Contact Form 7 updates.

* Code Changes
	* Changes the iqfix_wpcf7_add_tag_generator_recaptcha() WPCF7_TagGenerator class to pass in `array( 'version' => 2 )`
		which prevents deprecation errors from appearing. Not sure why but it's done!

= 1.4.7 =

Release Date: May 22, 2024

* Overview
	* Updated the "Tested up to" value to support 6.5+

= 1.4.6 =

Release Date: April 10, 2024

* Overview
	* Tested and updated to support WordPress 6.5: Regina
	* Improved description text to denote that the [recaptcha] shortcode is only needed for V2
		* Thanks to user @rickcurran for pointing out that it was ambiguous and needed improvement!
		* https://wordpress.org/support/topic/use-recaptcha-v3-but-only-with-the-recaptcha-tag/

= 1.4.5 =

Release Date: January 18, 2024

* Happy New Year!
* Overview
	* Tested and updated to support WordPress 6.4: Shirley

= 1.4.4 =

Release Date: September 09, 2023

* Overview
	* Tested and updated to support WordPress 6.3: Lionel

= 1.4.1 =

Release Date: July 29, 2022

* Overview
	* Fixed issue with validation error message not appearing on submission.
		Contact Form 7 updated their validation JS.

* Code Changes
	* Added 'data-name="recaptcha"' to the wpcf7 control recaptcha output in recaptcha-v2.php LN 135.
		Validation JS expect both the data-name and class "wpcf7-form-control-wrap" to work properly.

= 1.4.0 =

Release Date: June 01, 2022

* Overview
	* Updated "Tested up to" version for WordPress 6.0 branch.

= 1.3.9 =

Release Date: April 13, 2022

* Overview
	* Used the `wp_is_block_theme()` to conditionally check if Google ReCaptcha should be enqueued globally.
		If false, the script will load whenever the shortcode is called and only enqueue on pages where it's used.
		WordPress should detect this and late enqueue it into the footer.
	* FSE Themes will still need to use Google ReCpatha script globally until there is an easier way to detect if a script
		should be used or start supporting late enqueues.

* Code Changes
	* Added conditional for `wp_is_block_theme()`: recaptcha-v2.php LN 87
	* Re-added the inline enqueue check to shortcode callback: recaptcha-v2.php LN 110

= 1.3.8 =

Release Date: March 07, 2022

* Overview
	* Added new filter hook to allow developers to filter the global reCaptcha locale.

* Code Changes
	* New filter `wpcf7_recaptcha_locale` with the passed Site Locale in recaptcha-v2.php

= 1.3.7 =

Release Date: January 03, 2022

* Happy New Year!
* Overview
	* User @gerhardfasol reported an issue of the reCaptcha not appearing in the new Full Site Editing feature of TwentyTwentyTwo theme.
		FSE not longer allows late calls to `wp_enqueue_script()` function and expects all scripts to be added via the `wp_enqueue_scripts` hook.
		We have removed the late function call in favor of the hook which seems to work for FSE and backwards compatibility.

= 1.3.6 =

Release Date: November 29, 2021

* Overview
	* Applied `wpcf7_form_tag` filter to ensure ReCaptcha always has a basic name of "recaptcha".
		This resolves a conflict with Contact Form 7 and Conditionals Fields for Contact Form 7.
		See these threads for more information:
			https://wordpress.org/support/topic/recaptcha-with-conditionals-fields-for-cf7/
			https://wordpress.org/support/topic/custom-tag-not-found/

= 1.3.5 =

Release Date: June 21, 2021

* Overview
	* Updated support for WordPress 5.8.

= 1.3.4 =

Release Date: June 14, 2021

* Overview
	* Allow users to edit the reCaptcha messages via the "Messages" tab when editing a form. A fallback translation is still provided for older forms.
	* Encapsulated the controls JS file to make it easier for optimize plugins to include our script in their script soup file.

* Code Changes
	* Encapsulated the JS in the assets/wpcf7-recaptcha-controls.js file.
	* Added CF7 filter "wpcf7_messages" to allow users to change validation messages.

= 1.3.3 =

Release Date: March 01, 2021

* Overview
	* Contact Form 7 expects span tags for Javascript Validation. The reCaptcha control was updated to be wrapped in HTML span tags.

* Code Changes
	* Wrapped reCaptcha Control in HTML span tags.
	* Added validation filter hooks `wpcf7_validate_recaptcha` and `wpcf7_validate_recaptcha*`
	* Updated wpcf7-recaptcha-controls to account for span HTML tag changes.

= 1.3.2 =

Release Date: February 25, 2021

* Overview
	* Match Conatct Form 7 update changes.

* Code Changes
	* Updated the remove action hook priority for wpcf7_recaptcha_enqueue_scripts from 10 to 20

= 1.3.0 =

Release Date: December 21, 2020

* Overview
	* Updated WordPress version to show 5.6 support.

= 1.2.9 =

Release Date: August 26, 2020

* Overview
	* Some users reported issues with reCaptcha displaying, likely based on enqueue method

* Code Changes
	* Removed `iqfix_wpcf7_recaptcha_callback_script()` function
	* Enqueued reCaptcha controls based on whether google reCaptcha is enqueued.
		* See recaptcha-v2.php LN 72

= 1.2.8 =

Release Date: August 19, 2020

* Overview
	* Changed support to v5.5
	* Removed instances of "whitelist" from translations in favor of "domain list".
	* Inline footer script now moved to an enqueued file.
	* Updated spam check JS to look for the correct element.

* Code Changes
	* iqfix_wpcf7_recaptcha_callback_script now enqueues instead of adds an inline script.
	* iqfix_wpcf7_recaptcha_callback_script Priority updated from 40 to 2
	* iqfix_wpcf7_recaptcha_enqueue_scripts localizes new Response Error string for the off chance the response element cannot be found.
	* New File assets\js\wpcf7-recaptcha-controls.js
		* Script content previously in iqfix_wpcf7_recaptcha_callback_script
		* wpcf7spam Event Listener now looks for textarea[name="g-recaptcha-response"] instead of input[name="g-recaptcha-response"]
			* Thanks @fuadyp ( https://wordpress.org/support/topic/not-valid-tip-error/ )
		* wpcf7spam Event Listener now console logs an error in the off chance a response element cannot be found.

= 1.2.7 =

Release Date: June 15, 2020

* Overview
	* Rearranged the plugin deity method calls so that inclusion of files is last.

= 1.2.6 =

Release Date: April 22, 2020

* Overview
	* Updated reCaptcha Javascript to use the passed event to find the specific form. This should fix any "2 forms 1 page" issues.

= 1.2.5 =

Release Date: April 20, 2020

* Overview
	* Updated WordPress Version to denote support for 5.4+

= 1.2.4 =

Release Date: December 23, 2019

* Overview
	* Added lower priority to the reCaptcha enqueue hook so we can reserve the `google-recaptcha` handle before Contact Form 7 can. This shouldn't be needed but is an additional failsafe should the Conact Form 7 enqueue hook not be removed properly.
	* Added constant checks against the Contact Form 7 constants. This will ensure the plugin does not break should those change or be removed in future versions of Contact Form 7. Future-proofing.

= 1.2.3 =

Release Date: November 13, 2019

* Features
	* Added reCaptcha alignment controls to the reCaptcha shortcode. Left, Center, Right.
	* Added support for the Contact Form 7 constants `WPCF7_RECAPTCHA_SITEKEY` and `WPCF7_RECAPTCHA_SECRET` in the WP Config.
		* For more information see the post by Takayuki Miyoshi ( https://contactform7.com/2019/08/04/contact-form-7-514/ )

* Fixes
	* Updated the logging feature for whenever the reCaptcha returns an error. Uses Contact Form 7 log method.

= 1.2.2 =

Release Date: September 17, 2019

* Overview
	* Updated some translation function to include the plugin slug which should help translations. Thanks @alexclassroom !

= 1.2.1 =

Release Date: September 09, 2019

* Overview
	* The usage of 'Contact Form 7' is Trademarked by the plugin author. We've changed our name to show that we're not part of Contact Form 7 but an extension of.

= 1.2.0 =

Release Date: June 13, 2019

* Overview
	* Removed jQuery dependecy entirely.
	* Converted inline jQuery to JavaScript in regards to reCaptcha validation upon submission.
	* Updated noscript reCaptcha to include a line break which A3 Lazy Load decides it won't lazy load for some reason.

* Code Changes
	* recaptcha-v2.php -> iqfix_wpcf7_recaptcha_callback_script() Updated  inline jQuery to vanilla JavaScript.
	* recaptcha-v2.php -> iqfix_wpcf7_recaptcha_noscript() Added a linebreak to noscript iframe and textarea in an attempt to prevent A3 Lazy Load plugin from lazying loading the iframe.

= 1.1.9 =

Release Date: May 14, 2019

* Overview
	* Added option to allow user to choose which website to pull the reCaptcha resources from.
		The choices are google.com or recaptcha.net. These are for situations or countries that specifically block Google and prevent our reCaptcha from appearing.

* Code Changes
	* Updated recaptcha-v2.php file to switch out the recaptcha source URLs.
	* Updated reCaptcha noscript to look nicer and function better.
		* We've left styling the noscript reCaptcha up to themes and developers.
	* Added private method to handle saving settings: IQFix_WPCF7_Deity::save_recaptcha_settings()
	* Added public static method to ensure my own sanity: IQFix_WPCF7_Deity::verify_recaptcha_source()
		* Makes sure that at every point our source is either google.com or recaptcha.net

= 1.1.8 =

Release Date: April 26, 2019

* Overview
	* Contact Forms could still be submitted to Flamingo even when the reCaptcha was not being clicked or interacted with.
		We've hook into before Contact Form 7 does their Flamingo submission and removed the hook if 1) There's a reCaptcha on the form and 2) no reCaptcha verification was found in the submitted data.]
		This should prevent the multitude of spam posts being saved in Flamingo.
		Thanks to @scits to bringing this issue to our attention!

* Files Added
	* wpcf7-recaptcha/flamingo.php
		* Only gets included and processed whenever Flamingo is detected to be installed and active.

= 1.1.6 =

Release Date: April 02, 2019

* Overview
	* Forum user @aldebaran57 points out how to add localization to the reCaptcha API which was tested and integrated.
		* https://wordpress.org/support/topic/force-language-of-widget-so-it-reacts-to-language-switcher-on-multi-lang-sites/

= 1.1.5 =

Release Date: February 25, 2019

* Overview
	* Added plugin to github and link to github on description page.
	* Ran into issue committing v1.1.4 which caused json checksums to not reflect some changes made. Thank @willpresleyev for pointing this out!
		* https://wordpress.org/support/topic/plugin-checksum-json-needs-updated/

= 1.1.4 =

Relase Date: February 22, 2019

* General
	* Ensured WordPress 5.1 compatibility
	* We need your help translating this plugin! Please contribute at: https://translate.wordpress.org/projects/wp-plugins/wpcf7-recaptcha

* Multisite
	* Multisite - Network Admins will notice a new menu item under plugins labelled "WPCF7 reCaptcha Settings"
	* Multisite - Network Admins now have the ability to add default keys and settings for sites. Individual sites can overwrite these defaults should they choose to.
	* Multisite - Default Network settings do not override keys or settings if they are already set/saved on the individual site. These only apply if none are found on the individual site.

* Cleanup
	* Removed languages folder to avoid confusion with glotpress.

= 1.1.3 =

Relase Date: February 06, 2019

* Overview
	* An attempt to make translations easier and better overall.
	* Combined a few redundant translation functions into a single translation function.
	* Changed instances of reCaptcha that were all caps and not consistent.
	* Added a margin-bottom: 0 style to the reCaptcha iframe in an attempt to prevent CSS overlapping using the `add_action( 'wp_enqueue_scripts', 'iqfix_recaptcha_inline_css' )` hook.


= 1.1.2 =

Relase Date: January 14, 2019

* Overview
	* Replaces old Text Domain 'iqc' with new Text Domain 'wpcf7-recaptcha' to match the plugin slug. This fix should help translations.
	* Added Portable Object Template (.pot) file to the /languages/ folder to help translators.
	* Added call to action on the settings page which encourages users to like IQComputing on Facebook to receive the latest news and updates regarding this plugin and future plugins we develop.

= 1.1.1 =

Release Date: January 07, 2019

* Overview
	* Adds message whenever user forgets to click reCaptcha checkbox.

= 1.1.0 =

Release Date: December 28, 2018

* Overview
	* Prevents Contact Form 7 from removing reCaptcha keys upon update.
	* Removes Contact Form 7 reCaptcha upgrade notice.

= 1.0 =

Release Date: December 28, 2018

* Overview
	* Initial release of plugin.
	* Contact Form 7 5.0.5 reCaptcha functionality copied over.
	* Created subpage under "Contact" named "reCaptcha Version" to be used as a settings page.